module srisc1(clock,pc,data,reset,da,db,dc,ra,rb,rc,write_enable);
input clock,reset;
output [7:0] pc;
output [31:0] data;
output [31:0] da,db;
input [31:0] dc;
input [4:0] ra,rb,rc;
input write_enable;

reg [7:0] pc;

// instantiate memory
inst inst_cache(
	.address(pc),
	.clock(clock),
	.q(data)
);


// instantiate register file
reg_file regs(
	.clock(clock),
	.reset(reset),
	.da(da),
	.db(db),
	.dc(dc),
	.ra(ra),
	.rb(rb),
	.rc(rc),
	.write_enable(write_enable)
	);


always @(posedge clock)
begin
	pc <= pc + 8'h01;
end

endmodule
